Skip to content

ServersController_create

POST
/api/mcp-servers
curl --request POST \
--url https://api.streams.chat/api/mcp-servers \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "slug": "example", "url": "example", "authKind": "none", "token": "example", "pipesProvider": "monday" }'
Media typeapplication/json
object
name
required
string
>= 1 characters <= 80 characters
slug
string
/^[a-z0-9_]{2,24}$/
url
string
>= 1 characters <= 2048 characters
authKind
string
default: none
Allowed values: none bearer pipes
token
string
>= 1 characters <= 4096 characters
pipesProvider
string
Allowed values: monday github slack-user